curl -X DELETE https://api.kwugwo.africa/v1/onye/ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE \
-H "Authorization: Bearer $KWUGWO_SECRET_KEY"
await fetch(`https://api.kwugwo.africa/v1/onye/${onyeUid}`, {
method: "DELETE",
headers: { Authorization: `Bearer ${process.env.KWUGWO_SECRET_KEY}` },
});
<?php
$ch = curl_init("https://api.kwugwo.africa/v1/onye/{$onyeUid}");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => ['Authorization: Bearer ' . getenv('KWUGWO_SECRET_KEY')],
]);
curl_exec($ch);
curl_close($ch);
import os, requests
requests.delete(
f"https://api.kwugwo.africa/v1/onye/{onye_uid}",
headers={"Authorization": f"Bearer {os.environ['KWUGWO_SECRET_KEY']}"},
)
url := fmt.Sprintf("https://api.kwugwo.africa/v1/onye/%s", onyeUid)
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("KWUGWO_SECRET_KEY"))
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
{
"uid": "ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE",
"email": "ada@example.com",
"first_name": "Ada",
"last_name": "Okeke",
"nzube_ref": "user_8821",
"billing_address": {
"address": "12 Marina",
"address2": "",
"city": "Lagos",
"state": "Lagos",
"zip": "101001",
"country": "NG"
},
"created_at": "2026-05-15T09:14:22+00:00",
"updated_at": "2026-05-15T09:14:22+00:00",
"meta": { "source": "shopify" },
"total_successful_activities": 0,
"total_failed_activities": 0,
"latest_ugwo_activity": null
}
{
"code": 404,
"message": "nzube.onye.error.not_found"
}
Customers (Onye)
Delete a customer
Remove a customer from your workspace.
DELETE
/
v1
/
onye
/
{uid}
curl -X DELETE https://api.kwugwo.africa/v1/onye/ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE \
-H "Authorization: Bearer $KWUGWO_SECRET_KEY"
await fetch(`https://api.kwugwo.africa/v1/onye/${onyeUid}`, {
method: "DELETE",
headers: { Authorization: `Bearer ${process.env.KWUGWO_SECRET_KEY}` },
});
<?php
$ch = curl_init("https://api.kwugwo.africa/v1/onye/{$onyeUid}");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => ['Authorization: Bearer ' . getenv('KWUGWO_SECRET_KEY')],
]);
curl_exec($ch);
curl_close($ch);
import os, requests
requests.delete(
f"https://api.kwugwo.africa/v1/onye/{onye_uid}",
headers={"Authorization": f"Bearer {os.environ['KWUGWO_SECRET_KEY']}"},
)
url := fmt.Sprintf("https://api.kwugwo.africa/v1/onye/%s", onyeUid)
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("KWUGWO_SECRET_KEY"))
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
{
"uid": "ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE",
"email": "ada@example.com",
"first_name": "Ada",
"last_name": "Okeke",
"nzube_ref": "user_8821",
"billing_address": {
"address": "12 Marina",
"address2": "",
"city": "Lagos",
"state": "Lagos",
"zip": "101001",
"country": "NG"
},
"created_at": "2026-05-15T09:14:22+00:00",
"updated_at": "2026-05-15T09:14:22+00:00",
"meta": { "source": "shopify" },
"total_successful_activities": 0,
"total_failed_activities": 0,
"latest_ugwo_activity": null
}
{
"code": 404,
"message": "nzube.onye.error.not_found"
}
Deletes the customer. It no longer appears in List
customers and Get a customer
returns
404. Payments already attached to the customer keep the
reference for reporting.
Path parameters
string
required
Customer ID,
ony.XXXX.YYYY....Response
The Customer object as it was just before deletion.curl -X DELETE https://api.kwugwo.africa/v1/onye/ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE \
-H "Authorization: Bearer $KWUGWO_SECRET_KEY"
await fetch(`https://api.kwugwo.africa/v1/onye/${onyeUid}`, {
method: "DELETE",
headers: { Authorization: `Bearer ${process.env.KWUGWO_SECRET_KEY}` },
});
<?php
$ch = curl_init("https://api.kwugwo.africa/v1/onye/{$onyeUid}");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => ['Authorization: Bearer ' . getenv('KWUGWO_SECRET_KEY')],
]);
curl_exec($ch);
curl_close($ch);
import os, requests
requests.delete(
f"https://api.kwugwo.africa/v1/onye/{onye_uid}",
headers={"Authorization": f"Bearer {os.environ['KWUGWO_SECRET_KEY']}"},
)
url := fmt.Sprintf("https://api.kwugwo.africa/v1/onye/%s", onyeUid)
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("KWUGWO_SECRET_KEY"))
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
{
"uid": "ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE",
"email": "ada@example.com",
"first_name": "Ada",
"last_name": "Okeke",
"nzube_ref": "user_8821",
"billing_address": {
"address": "12 Marina",
"address2": "",
"city": "Lagos",
"state": "Lagos",
"zip": "101001",
"country": "NG"
},
"created_at": "2026-05-15T09:14:22+00:00",
"updated_at": "2026-05-15T09:14:22+00:00",
"meta": { "source": "shopify" },
"total_successful_activities": 0,
"total_failed_activities": 0,
"latest_ugwo_activity": null
}
{
"code": 404,
"message": "nzube.onye.error.not_found"
}